Vai al contenuto principale

Alibaba QwenAdded Apr 2, 2026Video generationAnonymizedOpen weightsUncensored

Wan 2.7

Wan 2.7 is Alibaba’s video model, served uncensored, for high-fidelity text-to-video in 5-, 10- or 15-second clips at up to 1080p. It can follow an audio track you provide.

wan-2-7-text-to-videoPOST https://api.venice.ai/api/v1/video/queue
From
$0.11 / sec
up to $0.14 / sec
Draft clip
$0.55
5s · 720p
Production clip
$1.40
10s · 1080p
Max resolution
1080p
2 options
Duration
5–15s
3 options
Audio
None

Pricing

USD per clip
Resolution
Duration
Per clip
$0.55
5s · 720p · silent
Per second
$0.11
this clip
Clip price by duration and resolution
Duration720p1080p
5s
10s
15s

Quoted from POST /video/quote on Nov 5, 2026.

Examples

Specs

Model ID
wan-2-7-text-to-video
Endpoint
POST /api/v1/video/queue
Mode
Text to video
Inputs
Prompt, audio
Resolutions
1080p, 720p
Durations
5s, 10s, 15s
Aspect ratios
16:99:161:1
Audio
Silent output
Added
Apr 2, 2026
Weights
Open
POST/api/v1/video/queue
# 1. Queue the job (returns a queue_id)
curl https://api.venice.ai/api/v1/video/queue \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "wan-2-7-text-to-video",
"prompt": "Slow aerial drone shot over a misty mountain valley at golden hour",
"duration": "5s",
"resolution": "720p",
"aspect_ratio": "16:9"
}'

# 2. Poll until the MP4 is ready
curl https://api.venice.ai/api/v1/video/retrieve \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "model": "wan-2-7-text-to-video", "queue_id": "<queue_id>" }' --output video.mp4

Privacy

Tier 1 · this model
Anonymized

Venice hides your identity and stores no prompts. The provider still sees the content.

Tier 2
Private

Not available

Tier 3
TEE

Not available

Tier 4
End-to-end encrypted

Not available

Variants

VariantModel IDPrivacyInputsFromMaxAdded
wan-2-7-text-to-videoAnonymizedPrompt, Audio$0.11 / sec1080pApr 2026
wan-2-7-image-to-videoAnonymizedPrompt, Image, Audio$0.11 / sec1080pApr 2026
wan-2-7-reference-to-videoAnonymizedPrompt, Reference images$0.11 / sec1080pApr 2026
wan-2-7-video-to-videoAnonymizedPrompt, VideoBy source1080pApr 2026